## org.apache.batik.apps.svgbrowser
Class DOMViewer.Panel.TreePopUpListener

    java.lang.Object
      java.awt.event.MouseAdapter
          org.apache.batik.apps.svgbrowser.DOMViewer.Panel.TreePopUpListener

All Implemented Interfaces:
  java.awt.event.MouseListener, java.awt.event.MouseMotionListener, java.awt.event.MouseWheelListener, java.util.EventListener

Enclosing class:
  DOMViewer.Panel

    protected class DOMViewer.Panel.TreePopUpListener

extends java.awt.event.MouseAdapter

Tree popup listener.

Field Summary
`protected javax.swing.JPopupMenu` `treePopupMenu` The actual pop-up menu.

Constructor Summary
`DOMViewer.Panel.TreePopUpListener()` Creates new pop up listener.

Method Summary
`void` `mousePressed(java.awt.event.MouseEvent e)`
`void` `mouseReleased(java.awt.event.MouseEvent e)`

Methods inherited from class java.awt.event.MouseAdapter
`mouseClicked, mouseDragged, mouseEntered, mouseExited, mouseMoved, mouseWheelMoved`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### treePopupMenu

    protected javax.swing.JPopupMenu treePopupMenu

  The actual pop-up menu.

Constructor Detail

### DOMViewer.Panel.TreePopUpListener

    public DOMViewer.Panel.TreePopUpListener()

  Creates new pop up listener.

Method Detail

### mouseReleased

    public void mouseReleased(java.awt.event.MouseEvent e)

  Specified by:
    `mouseReleased` in interface `java.awt.event.MouseListener`
  Overrides:
    `mouseReleased` in class `java.awt.event.MouseAdapter`

### mousePressed

    public void mousePressed(java.awt.event.MouseEvent e)

  Specified by:
    `mousePressed` in interface `java.awt.event.MouseListener`
  Overrides:
    `mousePressed` in class `java.awt.event.MouseAdapter`

Copyright © 2008 Apache Software Foundation. All Rights Reserved.